Subject: Re: [PATCH] bnx2x: EEH recovery fix

From: Paul Larson <[email-masked]>
Date: Tue, 09 Sep 2008 16:08:18 -0500

David Miller wrote:
> From: "Eilon Greenstein" <[email-masked]>
> Date: Mon, 8 Sep 2008 03:22:32 -0700
>
>   
>> The EEH mechanism caused a fatal error when using the bnx2x since
>> the driver attempted accessing the device after it was reset by the
>> EEH. This patch sets a proper unload when EEH error is detected
>> without accessing the device.
>>
>> Since the current implementation causes a fatal error, I ask that
>> you will consider applying this patch.
>>     
>
> What user has run into and reported this failure, and is it
> a regression compared to 2.6.26?
>
> That is the criteria for my putting this patch in now.
>
> Since EEH triggers are an exceedingly corner case error condition,
> this puts this patch even less valid to go in outside of the merge
> window.
Just in case it's lack of testing you were concerned with, I can say 
that I've tested this patch on power and it does fix our eeh handling 
for bnx2x.

Thanks,
Paul Larson